Bug 1309947 - JBDS Business Process and Rules Development Extension Ships Wrong Features [NEEDINFO]
JBDS Business Process and Rules Development Extension Ships Wrong Features
Status: NEW
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kris Verlaenen
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 23:15 EST by Justin Holmes
Modified: 2018-01-30 07:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jomarko: needinfo? (bbrodt)


Attachments (Terms of Use)

  None (edit)
Description Justin Holmes 2016-02-18 23:15:52 EST
Description of problem:
After discussing with Bob Brodt, the JBDS installation process pulls in the "Bpmn2 Model Editor" and the "BPMN2 Process Editor" which have been removed from the community installation, but not product. This creates a very confusing experience for end users, because many editors are exposed for one asset.

Version-Release number of selected component (if applicable):
JBDS 8.1 - Plugin version 1.1.4.final
JBDS 9.0 - Plugin version 1.2.1.Final


How reproducible:
100%

Steps to Reproduce:
1. Install Business Process and Rule Development extension to JBDS
2. New->jbpm process
3. Right click created bpmn2 file -> Open With...

Actual results:
Menu has 3 "Bpmn2" options: 
"Bpmn2 Diagram Editor"
"Bpmn2 Model Editor"
"BPMN2 Process Editor"

Expected results:
Only "Bpmn2 Diagram Editor" should be present


Additional info:
Comment 2 Jozef Marko 2016-02-22 02:49:00 EST
Still reproducible on:
jbds-9.1.0.Beta2_jbdsis-9.0.0.Beta1, BPMN2 Modeler - 1.2.3.CR2-v20160209-2002
Comment 3 Jozef Marko 2016-04-07 06:44:30 EDT
Hello Bob. Is this issue valid or is there need for 3 different editors?

Note You need to log in before you can comment on or make changes to this bug.